using System;

namespace ConsoleApp3
{
    class Program
    {
        static void Main(string[] args)
        {
            int A = Convert.ToInt32(Console.Read());
            int B = Convert.ToInt32(Console.Read());
            int C = Convert.ToInt32(Console.Read());
            string broj = A + B + C + "";
            if (Convert.ToInt32(broj) < Convert.ToInt32(A + C + B + ""))
            {
                broj = A + C + B + "";
            }
            if (Convert.ToInt32(broj) < Convert.ToInt32(B + A + C + ""))
            {
                broj = B + A + C + "";
            }
            if (Convert.ToInt32(broj) < Convert.ToInt32(B + C + A + ""))
            {
                broj = B + C + A + "";
            }
            if (Convert.ToInt32(broj) < Convert.ToInt32(C + A + B + ""))
            {
                broj = C + A + B + "";
            }
            if (Convert.ToInt32(broj) < Convert.ToInt32(C + B + A + ""))
            {
                broj = C + B + A + "";
            }
        }
    }
}